givintprime.h File Reference

primes More...

`#include "givaro/givinteger.h"`
`#include "givaro/givintprime.inl"`
Include dependency graph for givintprime.h:

## Data Structures

class | FermatDom
| Fermat numbers. More...
class | IntPrimeDom
| Primality tests. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Detailed Description

primes

- Prime numbers
- Modular powering,
- Fermat numbers,
- Primality tests
- Factorization : (There are parameters to fix)